INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('dataObjectsVersion','Data Objects Version','The version represented by current state of the database objects in the database.','SYSTEM', 'smallValue',NULL,'1.0.4',NULL,NULL);

INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('possibleValidatedFields','Possible Validated Address Fields','A comma-separated list of the address fields that can have their formats validated by the system.','ADDRESS', 'textValue', NULL,NULL,NULL,'state,postalCode,email1,email2,phone1,phone2');
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('billingValidated','Validated Billing Address Fields','A comma-separated list of the address fields whose formats are validated when provided in a billing address.','ADDRESS', 'textValue', NULL,NULL,NULL,'state,postalCode,email1,email2,phone1,phone2');
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('deliveryValidated','Validated Delivery Address Fields','A comma-separated list of the address fields whose formats are validated when provided in a delivery address.','ADDRESS', 'textValue', NULL,NULL,NULL,'state,postalCode,email1,email2,phone1,phone2');

INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowLinkUserName','Merchant Login','The user name or login name used to log into the Payflow Link account.','payflowLink', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowLinkPartner','Partner','The PayPal Partner used to log into the Payflow Link account. If you created your account directly with PayPal, your Partner is VeriSign.','payflowLink', 'smallValue', NULL,'VeriSign',NULL,NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowLinkType','Transaction Type','Select Sale to capture funds immediately, or Authorization to authorize the funds for later capture.','payflowLink', 'smallValue', NULL,'AUTHENTICATE',NULL,NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowLinkURL','URL','The URL used to connect to Payflow Link account.','payflowLink', 'mediumValue', NULL,NULL,'https://payflowlink.verisign.com/payflowlink.cfm',NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowLinkDescription','Description','The Description is passed to Payflow Link and shows up in the Payflow Link daily reports.','payflowLink', 'mediumValue', NULL,NULL,'Online Order from %%STORE_NAME%%',NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowLinkComment1','Comment 1','The Comment fields are passed to Payflow Link and appear in custom reports.','payflowLink', 'mediumValue', NULL,NULL,'Phone 1: %%BILL_PHONE1%%  Phone 2:%%BILL_PHONE2%%',NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowLinkComment2','Comment 2','The Comment fields are passed to Payflow Link and appear in custom reports.','payflowLink', 'mediumValue', NULL,NULL,'Email 1: %%BILL_EMAIL1%%  Email 2: %%BILL_EMAIL2%%',NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowLinkInvoiceNumber','Invoice Number','The Invoice Number appears in custom reports. Note: The order number assigned by the application is not set until after the payment is completed, so that cannot be used here.','payflowLink', 'mediumValue', NULL,NULL,'',NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowLinkPONumber','Purchase Order Number','The Purchase Order Number appears in custom reports.','payflowLink', 'mediumValue', NULL,NULL,'',NULL);

INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProHostAddress','Host Address','The host name used to connect to the Payflow Pro account. Use test-payflow.verisign.com for test transactions and payflow.verisign.com for live transactions.','payflowPro', 'mediumValue', NULL,NULL,'test-payflow.verisign.com',NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProHostPort','Host Port','The port used to connect to the Payflow Pro account.','payflowPro', 'smallValue', NULL,'443',NULL,NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProTimeout','Timeout','Timeout period for transactions, in seconds. The minimum recommended timeout is 30 seconds.','payflowPro', 'smallValue', NULL,'30',NULL,NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProUser','Merchant Login','The user name or login name used to log into the Payflow Pro account.','payflowPro', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProPassword','Password','The password used to log into the Payflow Pro account.','payflowPro', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProPartner','Partner','The PayPal Partner used to log into the Payflow Pro account. If you created your account directly with PayPal, your Partner is VeriSign.','payflowPro', 'smallValue', NULL,'VeriSign',NULL,NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProVendor','Vendor','The PayPal Vendor used to log into the Payflow Pro account. (Leave blank if you do not know this.)','payflowPro', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProComment1','Comment 1','The Comment fields are passed to Payflow Pro and appear in custom reports.','payflowPro', 'mediumValue', NULL,NULL,'Order ID: %%ORDER_ID%%  Phone 1: %%BILL_PHONE1%%  Phone 2:%%BILL_PHONE2%%  Email 1: %%BILL_EMAIL1%%  Email 2: %%BILL_EMAIL2%%',NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProComment2','Comment 2','The Comment fields are passed to Payflow Pro and appear in custom reports.','payflowPro', 'mediumValue', NULL,NULL,'Del. ID: %%DELIVERY_ID%%  Del. Phone 1: %%DELIVERY_PHONE1%%  Del. Phone 2:%%DELIVERY_PHONE2%%  Del. Email 1: %%DELIVERY_EMAIL1%%  Del. Email 2: %%DELIVERY_EMAIL2%%',NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProCustRef','Customer Reference','The Customer Reference (custref) field appears in custom reports.','payflowPro', 'smallValue', NULL,'%%CUSTOMER_ID%%',NULL,NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProCustomerCode','Customer Code','The Customer Code appears in custom reports.','payflowPro', 'smallValue', NULL,'%%USER_NAME%%',NULL,NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProPONumber','Purchase Order Number','The Purchase Order Number is passed to Payflow Pro appears in custom reports.','payflowPro', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProProxyAddress','Proxy Address','Proxy server host name. Use proxy values for servers behind a firewall.','payflowPro', 'mediumValue', NULL,NULL,'',NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProProxyPort','Proxy Port','The port number of the proxy.','payflowPro', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProProxyLogon','Proxy Logon','The login name of the proxy.','payflowPro', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProProxyPassword','Proxy Password','The password of the proxy.','payflowPro', 'smallValue', NULL,'',NULL,NULL);

INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProType1','Transaction Type - Level One','The transaction type for level one of the transaction and authentication options.','payflowPro', 'smallValue', NULL,'S',NULL,NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProType2','Transaction Type - Level Two','The transaction type for level two of the transaction and authentication options.','payflowPro', 'smallValue', NULL,'AAS',NULL,NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProType3','Transaction Type - Level Three','The transaction type for level three of the transaction and authentication options.','payflowPro', 'smallValue', NULL,'A',NULL,NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProType','Transaction Type - Default','The transaction type if none of the three levels applies.','payflowPro', 'smallValue', NULL,'A',NULL,NULL);

INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProAuth1','Authentication - Level One','The authentication rules for level one of the transaction and authentication options.','payflowPro', 'textValue', NULL,NULL,NULL,'');
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProAuth2','Authentication - Level Two','The authentication rules for level two of the transaction and authentication options.','payflowPro', 'textValue', NULL,NULL,NULL,'YYY,YYX,YYN,YXY,YXX,YXN,YNY,YNX,YNN,XYY,XYX,XYN,XXY,XNY,NYY,NYX,NYN,NXY,NNY');
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProAuth3','Authentication - Level Three','The authentication rules for level three of the transaction and authentication options.','payflowPro', 'textValue', NULL,NULL,NULL,'YYY,YYX,YXY,YXX,XYY,XYX,XXY,XXX');
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProAuth','Authentication - Default','The authentication rules if none of the three levels applies.','payflowPro', 'textValue', NULL,NULL,NULL,'');

INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProCust1','Customer Status - Level One','','payflowPro', 'smallValue', NULL,'Qualified',NULL,NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProCust2','Customer Status - Level Two','','payflowPro', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProCust3','Customer Status - Level Three','','payflowPro', 'smallValue', NULL,'',NULL,NULL);

INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProFloor1','Order Total Floor - Level One','','payflowPro', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProFloor2','Order Total Floor - Level Two','','payflowPro', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProFloor3','Order Total Floor - Level Three','','payflowPro', 'smallValue', NULL,'0',NULL,NULL);

INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProCeiling1','Order Total Ceiling - Level One','','payflowPro', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProCeiling2','Order Total Ceiling - Level Two','','payflowPro', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProCeiling3','Order Total Ceiling - Level Three','','payflowPro', 'smallValue', NULL,'100',NULL,NULL);

INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProCountries1','Countries - Level One','','payflowPro', 'textValue', NULL,NULL,NULL,'');
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProCountries2','Countries - Level Two','','payflowPro', 'textValue', NULL,NULL,NULL,'US,CA');
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProCountries3','Countries - Level Three','','payflowPro', 'textValue', NULL,NULL,NULL,'');

INSERT INTO npcRole(code, name, description)
VALUES('paymentsView', 'Payment Settings Viewer', 'Allows access to view payment settings.');
INSERT INTO npcRole(code, name, description)
VALUES('paymentsEdit', 'Payment Settings Editor', 'Allows access to view, edit, and delete payment settings.');
INSERT INTO npcRole(code, name, description)
VALUES('upgradesView', 'Upgrades Viewer', 'Allows access to view data object upgrades.');
INSERT INTO npcRole(code, name, description)
VALUES('upgradesEdit', 'Upgrades Editor', 'Allows access to view and run data object upgrades.');
