<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<div class="col-xs-12">
<bean:define id="secureURL" name="settings" property="value(customerSecureURL)"/>
<bean:define id="customerURL" name="settings" property="value(customerURL)"/>
<c:set var="showBillingSection" value="${fn:length(fn:trim(settings.map.billingPrompt)) > 0}"/>
<c:choose>
	<c:when test="${settings.map.allowAddressBook eq '1'}">
		<%-- Billing Form Area --%>
		<c:if test="${showBillingSection}">
			<div class="col-md-6">
				<div id="billingAddressFields" class="panel panel-primary">
					<div class="panel-heading">
						<h3 class="panel-title"><bean:message key="addressBook.accountBillingHeadline" bundle="/customer"/></h3>
					</div>
					<div class="panel-body">
						<div id="addressBookBillingDisplay">&nbsp;</div>
						<div id="addressBookBillingAddForm">
							<form id="addressesForm" name="addressesForm" class="centeredForm form-horizontal" action="<%=response.encodeURL(secureURL + "/UpdateBillingAddress.do")%>" method="post">
								<%--Cross-site request forgery token--%>
								<html:hidden name="addressForm" property="csrfToken" value="${sessionScope.csrfToken}"/>
								<input type="hidden" name="isBilling" value="true"/>
								<input type="hidden" name="type" value="billing"/>
								<hr class="formSeparator" />
								<ssc:insert page="/WEB-INF/layouts/default-html5/order/billingFormGuts.jsp"/>
								<div id="accountAddressesBillingButton" class="accountButtonContainer text-center">
									<input id="addressesFormBillingButton" type="submit" class="btn btn-primary" value="<bean:message key="addressBook.addButton" bundle="/customer"/>"/>
								</div>
							</form>
						</div>
					</div>
				</div>
			</div>
		</c:if>
		<%-- Multiple Shipping Addresses Area --%>
		<div class="col-md-6">
			<div id="deliveryAddressFields" class="${shipAddressClass} panel panel-primary">
				<div class="panel-heading">
					<h3 class="panel-title"><bean:message key="addressBook.accountDeliveryHeadline" bundle="/customer"/></h3>
				</div>
				<div class="panel-body">
					<div id="addressBookDisplay">&nbsp;</div>
					<div id="addressBookAddForm">
						<form id="shippingAddressesForm" name="shippingAddressesForm" class="centeredForm form-horizontal">
							<%--Cross-site request forgery token--%>
							<html:hidden name="addressForm" property="csrfToken" value="${sessionScope.csrfToken}"/>
							<input type="hidden" name="type" value="delivery"/>
									<hr id="shippingNoCheckBox" class="formSeparator" />
									<ssc:insert page="/WEB-INF/layouts/default-html5/order/deliveryFormGuts.jsp"/>
									<div id="accountAddressesButton" class="accountButtonContainer text-center">
										<input id="addressesFormButton" type="submit" class="btn btn-primary" value="<bean:message key="addressBook.addButton" bundle="/customer"/>"/>
									</div>
								</form>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<ssc:insert page="/WEB-INF/layouts/default/customer/addressBookFooter.jsp"/>
	</c:when>
	<c:otherwise>
		<%-- Non-address book --%>
		<ssc:insert page="/WEB-INF/layouts/default/customer/addresses.jsp"></ssc:insert>
	</c:otherwise>
</c:choose>
<!-- End ${pageScope.sscCurrentPage} -->
