<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<ssc:insert page="/WEB-INF/layouts/default-html5/product/inventoryDiscountSettings.jsp"/>
<div class="col-xs-12">
	<%-- Page title --%>
	<div class="page-header">
		<h1 class="pageTitle"><bean:message key="cartItemEdit.headline" bundle="/order"/></h1>
	</div>
</div>
<div class="col-lg-8">
	<div class="row">
		<div class="col-lg-10 col-lg-push-2">

			<%-- Product name --%>
			<h2 class="name pageTitle "><c:out value="${item.name}" escapeXml="false"/></h2>
			<%-- Product details --%>
			<div id="cartItemDetails">
				<%-- Product code --%>
				<div class="code">
					<span class="itemlabel"><bean:message key="product.code" bundle="/product"/>:</span> ${item.code}
				</div>
				<%-- Product price --%>
				<c:if test="${!empty item.unitPrice and item.unitPrice gt 0}">
					<div class="price">
						<span class="itemlabel"><bean:message key="product.unitPrice" bundle="/product"/>:</span>
						<c:choose>
							<c:when test="${displayProductDiscount and settings.map.strikeThruPrices eq 1}">
								<del>
									<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${product.unitPrice}"/>
								</del>
								&nbsp;
								<span class="productSalePrice">
									<c:choose>
										<c:when test="${!empty productDiscountNumberFree and productDiscountNumberFree > 0}">
											<fmt:formatNumber type="number" minFractionDigits="0" maxFractionDigits="0" value="${productDiscountNumberFree}"/>
											<bean:message key="product.discountItemsForFree" bundle="/product"/>
										</c:when>
										<c:otherwise>
											<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${product.unitPrice - productDiscountAmount}"/>
										</c:otherwise>
									</c:choose>
								</span>
							</c:when>
							<c:otherwise>
								<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${product.unitPrice}"/>
							</c:otherwise>
						</c:choose>
					</div>
				</c:if>
				<%-- Product alt price --%>
				<c:if test="${!empty item.altPrice and item.altPrice gt 0}">
					<div class="altPrice">
						<span class="itemlabel"><bean:message key="product.altPrice" bundle="/product"/>:</span>
						<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${item.altPrice}"/>
					</div>
				</c:if>
				<%-- Product discount --%>
				<c:if test="${displayProductDiscount}">
					<div class="discount">
						<span class="itemlabel"><bean:message key="product.discount" bundle="/product"/>:</span>
						<c:choose>
							<c:when test="${!empty productDiscountNumberFree and productDiscountNumberFree > 0}">
								<fmt:formatNumber type="number" minFractionDigits="0" maxFractionDigits="0" value="${productDiscountNumberFree}"/>
								<bean:message key="product.discountItemsForFree" bundle="/product"/>
							</c:when>
							<c:otherwise>
								<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${productDiscountAmount}"/>
								<bean:message key="product.discountAmountOff" bundle="/product"/>
							</c:otherwise>
						</c:choose>
					</div>
				</c:if>
				<%-- Product inventory --%>
				<c:if test="${trackProduct}">
					<div class="inventory">
						<span class="itemlabel"><bean:message key="product.inventoryLevel" bundle="/product"/>:</span>
						${product.skuMap[prodSkuKey].inventoryLevel}
					</div>
					<c:if test="${!empty product.skuMap[prodSkuKey].skuMessage}">
						<div class="inventoryMessage">
							${product.skuMap[prodSkuKey].skuMessage}
						</div>
					</c:if>
				</c:if>
			</div>

		</div>
		<div class="col-lg-2 col-lg-pull-10">

			<%-- Product image --%>
			<c:if test="${!empty item.image}">
				<div class="floater image">
					<img class="img-thumbnail" src="${item.image}"<c:if test="${!empty item.name}"> title="${item.name}" alt="${item.name}"</c:if>/>

				</div>
			</c:if>
			<br>

			<%-- Product Discount chart --%>
			<c:if test="${displaySkuDiscounts}">
				<div id="discountChart">
					<span class="itemlabel"><bean:message key="product.discounts" bundle="/product"/></span>
					<br>
					<ssc:insert page="/WEB-INF/layouts/default-html5/product/discounts.jsp"/>
				</div>
				<br>
			</c:if>
			<%-- Product Inventory chart --%>
			<c:if test="${trackOtherSKUs}">
				<div id="inventoryChart">
					<span class="itemlabel"><bean:message key="product.inventory" bundle="/product"/></span>
					<br>
					<ssc:insert page="/WEB-INF/layouts/default-html5/product/inventory.jsp"/>
				</div>
				<br>
			</c:if>

		</div>
	</div>

</div>
<div class="col-lg-4">
	<div id="addToCartPanel" class="addToCartPanel panel panel-default">
 		<div class="panel-body">
			<form id="cartItemEditForm" action="<%=response.encodeURL(pageContext.getAttribute("customerURL") + "/CartItemEdit.do")%>" method="post">

				<%-- Attributes and options --%>
				<ssc:insert page="/WEB-INF/layouts/default-html5/product/attributesAndOptions.jsp">
					<ssc:put name="attributesAndOptions" beanName="product" beanProperty="attributesAndOptions"/>
					<ssc:put name="productCode" beanName="product" beanProperty="code"/>
				</ssc:insert>
				<br>
	
				<%-- Quantity --%>
				<div id="quantity">
					<label><bean:message key="cartItemEdit.quantityLabel" bundle="/order"/>:
						<input type="hidden" name="orderProductCodes" value="${item.code}"/>
						<input type="number" name="orderProductQuantities" value="${item.quantity}" class="quantity form-control"/>
					</label>
				</div>
				<br>
	
				<%-- Item total --%>
				<c:if test="${!empty item.formattedTotal}">
					<div class="total">
						<span class="itemlabel"><bean:message key="cartItemEdit.totalLabel" bundle="/order"/>:</span>
						${item.formattedTotal}
					</div>
					<br>
				</c:if>
	
				<%-- Edit item button --%>
				<div id="editCartItemButton">
					<input type="hidden" name="orderItemID" value="${item.orderItemID}"/>
					<span id="editCartItemButton" class="buttonWrap">
						<button type="submit" name="submit" class="btn btn-primary btn-block">
							<span class="glyphicon glyphicon-edit"></span>
							<bean:message key="cartItemEdit.editItemButton" bundle="/order"/>
						</button>
					</span>
				</div>
			</form>

			<%-- Delete item button --%>
			<div id="cartItemDelete">
				<form id="cartItemDeleteForm" action="<%=response.encodeURL(pageContext.getAttribute("customerURL") + "/CartItemEdit.do")%>" method="post">
					<input type="hidden" name="orderItemID" value="${item.orderItemID}"/>
					<input type="hidden" name="orderProductCodes" value="${item.code}"/>
					<input type="hidden" name="orderProductQuantities" value="0"/>
					<span id="removeCartItemButton" class="buttonWrap">
						<button type="submit" name="submit" class="btn btn-default btn-block btn-xs">
							<span class="glyphicon glyphicon-remove"></span>
							<bean:message key="cartItemEdit.deleteItemButton" bundle="/order"/>
						</button>
					</span>
				</form>
			</div>
		</div>
	</div>
</div>
<!-- End ${pageScope.sscCurrentPage} -->
