<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start savedCartsList.jsp -->
<c:set var="orderHistoryPageSize" value="${settings.map.orderHistoryPageSize}"/>
<bean:size id="itemCount" name="savedCartsList"/>
<%
    String orderHistoryPageSize = (String) pageContext.getAttribute("orderHistoryPageSize");
%>
<%--No saved carts message--%>
<c:if test="${empty savedCartsList or savedCartsList['empty']}">
	<p id="noSavedCarts"><bean:message key="accountSavedCarts.noSavedCarts" bundle="/customer"/></p>
</c:if>
<c:if test="${!empty savedCartsList and !savedCartsList['empty']}">
	<table id="savedCartsTable" class="grid accountTable" summary="List of saved carts.">
		<tr class="listHeading">
			<th colspan="2">&nbsp;</th>
			<th><bean:message key="order.lastModifiedDate" bundle="/order"/></th>
			<th><bean:message key="order.createdDate" bundle="/order"/></th>
			<th><bean:message key="order.quantity" bundle="/order"/></th>
			<th><bean:message key="order.subtotal" bundle="/order"/></th>
		</tr>
		<% String startingItem = (String) request.getAttribute("startingItem"); %>
		<logic:iterate name="savedCartsList" id="order" indexId="index" offset="<%= startingItem %>" length="<%= orderHistoryPageSize %>">
			<c:choose>
				<c:when test="${thisClass eq altRowClass}"><c:set var="thisClass" value="${rowClass}"/></c:when>
				<c:otherwise><c:set var="thisClass" value="${altRowClass}"/></c:otherwise>
			</c:choose>
			<tr id="savedCart-<c:out value="${order.orderID}"/>" class="savedCart <c:out value="${thisClass}"/>">
				<%--Pickup cart button--%>
				<td class="pickUp <c:out value="${thisClass}"/>">
					<html:link href="${customerURL}/SavedCartPickup.do?orderID=${order.orderID}" styleClass="buttonLink">
						<span id="cartPickupButton" class="buttonWrap"><button class="button"><bean:message key="accountSavedCarts.pickUpButton" bundle="/customer"/></button></span>
					</html:link>
				</td>
				<%--Remove cart button--%>
				<td class="remove <c:out value="${thisClass}"/>">
					<html:link href="${customerSecureURL}/SavedCartRemove.do?orderID=${order.orderID}" styleClass="buttonLink">
						<span id="cartRemoveButton" class="buttonWrap"><button class="button"><bean:message key="accountSavedCarts.removeButton" bundle="/customer"/></button></span>
					</html:link>
				</td>
				<%--Last modified--%>
				<td class="lastModified <c:out value="${thisClass}"/>">
					<c:if test="${!empty order.lastModified}">
						<fmt:parseDate value="${order.lastModified}" pattern="yyyy-MM-dd HH:mm:ss:SSS" var="parsed" parseLocale="en_US"/>
						<fmt:formatDate value="${parsed}" type="both"/>
					</c:if>
				</td>
				<%--Created--%>
				<td class="created <c:out value="${thisClass}"/>">
					<c:if test="${!empty order.created}">
						<fmt:parseDate value="${order.created}" pattern="yyyy-MM-dd HH:mm:ss:SSS" var="parsed" parseLocale="en_US"/>
						<fmt:formatDate value="${parsed}" type="both"/>
					</c:if>
				</td>
				<%--Quantity--%>
				<td class="quantity <c:out value="${thisClass}"/>">
					<logic:greaterThan name="order" property="quantity" value="0">
						<c:out value="${order.quantity}"/>
					</logic:greaterThan>
				</td>
				<%--Total--%>
				<td class="total <c:out value="${thisClass}"/>">
					<c:if test="${!empty order.subtotal}">
						<fmt:formatNumber type="currency" currencyCode="${currencyCode}">
							<c:out value="${order.subtotal}"/>
						</fmt:formatNumber>
					</c:if>
				</td>
			</tr>
		</logic:iterate>
	</table>
	<%-- Pagination --%>
	<c:if test="${itemCount > orderHistoryPageSize}">
		<div id="savedCartPagination" class="accountPagination">
			<c:set var="firstRowOfPreviousPage" value="${startingItem - orderHistoryPageSize}"/>
			<c:set var="firstRowOfNextPage" value="${startingItem + orderHistoryPageSize}"/>
			<c:choose>
				<c:when test="${firstRowOfPreviousPage == 0}">
					<html:link href="${secureURL}/AccountSavedCarts.do"><bean:message key="productList.pagePrevious" bundle="/product"/></html:link>
				</c:when>
				<c:when test="${firstRowOfPreviousPage > 0}">
					<html:link href="${secureURL}/AccountSavedCarts.do?startingItem=${firstRowOfPreviousPage}"><bean:message key="productList.pagePrevious" bundle="/product"/></html:link>
				</c:when>
			</c:choose>
			<c:if test="${firstRowOfNextPage < itemCount}">
				<c:if test="${firstRowOfPreviousPage ge 0}">
					&nbsp;|&nbsp;
				</c:if>
				<html:link href="${secureURL}/AccountSavedCarts.do?startingItem=${firstRowOfNextPage}"><bean:message key="productList.pageNext" bundle="/product"/></html:link>
			</c:if>
		</div>
	</c:if>
</c:if>
<!-- End savedCartsList.jsp -->
