package com.softslate.commerce.administrator.core;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.customer.core.BaseAction;
import com.softslate.commerce.customer.core.BaseForm;

/**
 * @author David Tobey
 * 
 */
public class LogoutAction extends BaseAction {
	static Log log = LogFactory.getLog(LogoutAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isDebugEnabled())
			log.debug("Starting action.");
		BaseForm baseForm = new BaseForm();
		baseForm.setServlet(getServlet());
		baseForm.initializeProperties(mapping, request);
		// If the administrator object in the user object is null, then we have
		// not logged in.
		if (log.isDebugEnabled())
			log.debug("Logging out the administrator");
		synchronized (request.getSession()) {
			if (baseForm.getUser().getAdministrator() != null) {
				baseForm.getUser().setAdministrator(null);
				baseForm.getMessages().add(ActionMessages.GLOBAL_MESSAGE,
						new ActionMessage("messages.loggedOut"));
				saveMessages(baseForm.getRequest(), baseForm.getMessages());
			}
			return mapping.findForward("success");
		}
	}
}
