package com.softslate.commerce.administrator.core;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.beanutils.PropertyUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.businessobjects.core.Settings;
import com.softslate.commerce.customer.core.BaseAction;
import com.softslate.commerce.customer.core.BaseDynaForm;
import com.softslate.commerce.daos.core.DAOFactory;

/**
 * @author David Tobey
 * @version $Id: SettingsActionSecurity.java,v 1.1 2005/02/15 01:07:30 dtobey
 *          Exp $
 */
public class SettingsActionSecurity extends BaseAction {

	static Log log = LogFactory.getLog(SettingsActionSecurity.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isDebugEnabled())
			log.debug("Starting action.");
		BaseDynaForm baseForm = (BaseDynaForm) form;
		Map properties = PropertyUtils.describe(form);

		// Save the settings.
		try {
			Settings settingsBean = (Settings) baseForm
					.getBusinessObjectFactory().createObject(
							"settingsImplementer");
			Settings settings = settingsBean.processSettings(properties);
			// Place the new Settings in the application scope.
			DAOFactory daoFactory = (DAOFactory) getServlet()
					.getServletContext().getAttribute("daoFactory");
			settings.initialize();
			synchronized (getServlet().getServletContext()) {
				servlet.getServletContext().setAttribute("settings", settings);
				daoFactory.setSettings(settings);
			}
			baseForm.getBusinessObjectFactory().setSettings(settings);
			request.setAttribute("settings", settings);
		} catch (Exception e) {
			baseForm.getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.settingsError", e.toString()));
			saveErrors(request, (ActionMessages) baseForm.getErrors());
			return mapping.findForward("failure");
		}

		// Generate any keys that need to be generated.
		/*
		 * String paymentEncryptionType = (String) baseForm
		 * .get("paymentEncryptionType"); String customerEncryptionType =
		 * (String) baseForm .get("customerEncryptionType"); String
		 * administratorEncryptionType = (String) baseForm
		 * .get("administratorEncryptionType"); String paymentEncryptingKey =
		 * (String) baseForm.getSettings() .getValue("paymentEncryptingKey");
		 * String paymentDecryptingKey = (String) baseForm.getSettings()
		 * .getValue("paymentDecryptingKey"); String paymentPassphraseKey =
		 * (String) baseForm.getSettings() .getValue("paymentPassphraseKey");
		 * String customerEncryptingKey = (String) baseForm.getSettings()
		 * .getValue("customerEncryptingKey"); String customerDecryptingKey =
		 * (String) baseForm.getSettings() .getValue("customerDecryptingKey");
		 * String administratorEncryptingKey = (String) baseForm.getSettings()
		 * .getValue("administratorEncryptingKey"); String
		 * administratorDecryptingKey = (String) baseForm.getSettings()
		 * .getValue("administratorDecryptingKey"); if
		 * (paymentEncryptingKey.equals("") &&
		 * (paymentEncryptionType.equals("keyPairStore") ||
		 * paymentEncryptionType .equals("keyPairNoStore"))) { KeyPair pair =
		 * ActionUtils.generateKeyPair(); PrivateKey privateKey =
		 * pair.getPrivate(); PublicKey publicKey = pair.getPublic();
		 * properties.put("paymentEncryptingKey", new String(publicKey
		 * .getEncoded())); if (log.isDebugEnabled()) log.debug("Public key: " +
		 * new String(publicKey.getEncoded())); if
		 * (paymentEncryptionType.equals("keyPairStore")) {
		 * properties.put("paymentDecryptingKey", new String(privateKey
		 * .getEncoded())); } else { if (log.isDebugEnabled())
		 * log.debug("here"); baseForm.getMessages().add(
		 * ActionMessages.GLOBAL_MESSAGE, new
		 * ActionMessage("messages.privateKey", " <pre> " + new String(
		 * privateKey.getEncoded() + "/pre>"))); } } if
		 * (paymentPassphraseKey.equals("") &&
		 * paymentEncryptionType.equals("passphrase")) { SecureRandom random =
		 * new SecureRandom(); byte salt[] = new byte[20];
		 * random.nextBytes(salt); properties.put("paymentPassphraseKey", new
		 * String(salt)); if (log.isDebugEnabled()) log.debug("Passphrase key: " +
		 * new String(salt)); } if (customerEncryptingKey.equals("") &&
		 * customerEncryptionType.equals("keyPairStore")) { KeyPair pair =
		 * ActionUtils.generateKeyPair(); PrivateKey privateKey =
		 * pair.getPrivate(); PublicKey publicKey = pair.getPublic();
		 * properties.put("customerEncryptingKey", new String(publicKey
		 * .getEncoded())); properties.put("customerDecryptingKey", new
		 * String(privateKey .getEncoded())); if (log.isDebugEnabled())
		 * log.debug("Public key: " + new String(publicKey.getEncoded())); } if
		 * (administratorEncryptingKey.equals("") &&
		 * administratorEncryptionType.equals("keyPairStore")) { KeyPair pair =
		 * ActionUtils.generateKeyPair(); PrivateKey privateKey =
		 * pair.getPrivate(); PublicKey publicKey = pair.getPublic();
		 * properties.put("administratorEncryptingKey", new String(publicKey
		 * .getEncoded())); properties.put("administratorDecryptingKey", new
		 * String(privateKey .getEncoded())); if (log.isDebugEnabled())
		 * log.debug("Public key: " + new String(publicKey.getEncoded())); }
		 */
		/*
		 * String stringToEncrypt = "Encyrpt me"; byte[] bytesToEncrypt =
		 * stringToEncrypt.getBytes(); Security .addProvider(new
		 * org.bouncycastle.jce.provider.BouncyCastleProvider());
		 * KeyPairGenerator keyGen = KeyPairGenerator.getInstance("RSA", "BC");
		 * keyGen.initialize(1024, new SecureRandom()); KeyPair pair =
		 * keyGen.generateKeyPair(); PrivateKey privateKey = pair.getPrivate();
		 * PublicKey publicKey = pair.getPublic(); if (log.isDebugEnabled())
		 * log.debug("Public key: " + new String(publicKey.getEncoded())); if
		 * (log.isDebugEnabled()) log.debug("Private key: " + new
		 * String(privateKey.getEncoded())); Cipher cipher =
		 * Cipher.getInstance("RSA/ECB/OAEPPadding");
		 * 
		 * cipher.init(Cipher.ENCRYPT_MODE, publicKey); byte[] encryptedBytes =
		 * cipher.doFinal(bytesToEncrypt);
		 * 
		 * //text = crypt(c, publicKey, text, Cipher.ENCRYPT_MODE); if
		 * (log.isDebugEnabled()) log.debug("Encrypted text: " + new
		 * String(encryptedBytes));
		 * 
		 * cipher.init(Cipher.DECRYPT_MODE, privateKey); byte[] decryptedBytes =
		 * cipher.doFinal(encryptedBytes);
		 * 
		 * //text = crypt(c, privateKey, text, Cipher.DECRYPT_MODE); if
		 * (log.isDebugEnabled()) log.debug("Decrypted text: " + new
		 * String(decryptedBytes));
		 * 
		 * PBEKeySpec pbeKeySpec; PBEParameterSpec pbeParamSpec;
		 * SecretKeyFactory keyFac; // Salt byte[] salt = { (byte) 0xc7, (byte)
		 * 0x73, (byte) 0x21, (byte) 0x8c, (byte) 0x7e, (byte) 0xc8, (byte)
		 * 0xee, (byte) 0x99 }; // Iteration count int count = 20; // Create
		 * PBEparameter set pbeParamSpec = new PBEParameterSpec(salt, count); //
		 * Prompt user for encryption password. String passphrase =
		 * "passphrase"; pbeKeySpec = new PBEKeySpec(passphrase.toCharArray());
		 * keyFac = SecretKeyFactory.getInstance("PBEWithMD5AndDES"); SecretKey
		 * pbeKey = keyFac.generateSecret(pbeKeySpec); // Create PBE Cipher
		 * cipher = Cipher.getInstance("PBEWithMD5AndDES"); // Initialize PBE
		 * Cipher with key and parameters cipher.init(Cipher.ENCRYPT_MODE,
		 * pbeKey, pbeParamSpec); // Our cleartext String stringToEncrypt2 =
		 * "I'm beign encrypted!"; byte[] bytesToEncrypt2 =
		 * stringToEncrypt2.getBytes(); // Encrypt the cleartext byte[]
		 * encryptedBytes2 = cipher.doFinal(bytesToEncrypt2); if
		 * (log.isDebugEnabled()) log.debug("Encrypted text: " + new
		 * String(encryptedBytes2)); // Decrypt cipher.init(Cipher.DECRYPT_MODE,
		 * pbeKey, pbeParamSpec); byte[] decryptedBytes2 =
		 * cipher.doFinal(encryptedBytes2); if (log.isDebugEnabled())
		 * log.debug("Decrypted text: " + new String(decryptedBytes2));
		 * 
		 */
		baseForm.getMessages().add(ActionMessages.GLOBAL_MESSAGE,
				new ActionMessage("messages.settingsMessage"));
		if (!baseForm.getMessages().isEmpty())
			saveMessages(request, baseForm.getMessages());
		if (log.isDebugEnabled())
			log.debug("Finished with Action.");
		return mapping.findForward("success");
	}
}
