package com.softslate.commerce.administrator.core;

import java.util.Collection;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.beanutils.PropertyUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.businessobjects.core.ApplicationMessage;
import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.businessobjects.core.Settings;
import com.softslate.commerce.customer.core.ActionUtils;
import com.softslate.commerce.customer.core.BaseAction;

/**
 * 
 * @author Jason McWilliams
 * 
 */
public class UserSettingEditDeleteAction extends BaseAction {

	static Log log = LogFactory.getLog(UserSettingEditDeleteAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form, HttpServletRequest request,
			HttpServletResponse response) throws Exception {
		if (log.isDebugEnabled())
			log.debug("Starting action.");

		UserSettingForm baseForm = (UserSettingForm) form;

		// Prepare parameters for the edit/delete processing, and process
		BusinessObjectFactory bof = (BusinessObjectFactory) request.getAttribute("businessObjectFactory");
		Settings settingsBean =  bof.createObject(Settings.class);
		Map parameters = PropertyUtils.describe(form);
		for (int j = 0; j < baseForm.getDisplayFields().length; j++) {
			String displayField = baseForm.getDisplayFields()[j];
			parameters.put(displayField, PropertyUtils.getProperty(baseForm, displayField));
		}
		parameters.put(baseForm.getIdField(), PropertyUtils.getProperty(baseForm, baseForm.getIdField()));
		parameters.put("deleteID", baseForm.getDeleteID());
		Map results = settingsBean.editDeleteUserSettings(parameters);

		// Reload settings
		Settings settings = (Settings) servlet.getServletContext().getAttribute("settingsBean");
		settings.initialize();

		// Set the success message
		ActionMessages messages = new ActionMessages();
		ActionMessages errors = new ActionMessages();
		messages.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("messages.recordsSaved"));
		ActionUtils actionUtils = (ActionUtils) bof.createUtilsObject("actionUtilsImplementer");
		actionUtils.processApplicationMessages(errors, messages,
				(Collection<ApplicationMessage>) results.get("applicationMessages"));
		saveMessages(request, messages);

		return mapping.findForward("success");
	}
}
