package com.softslate.commerce.administrator.order;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.administrator.core.BaseAdministratorForm;

/**
 * Struts form class corresponding to requests to
 * "/administrator/OrderItemAddForm.do", "/administrator/OrderItemEditForm.do",
 * "/administrator/OrderItemAdd.do", and "/administrator/OrderItemEdit.do".
 * Provides properties corresponding to the fields for a single order item
 * record.
 * 
 * @author David Tobey
 *  
 */
public class OrderItemAddEditForm extends BaseAdministratorForm {
    private static final long serialVersionUID = 3761124951050170672L;

    static Log log = LogFactory.getLog(OrderItemAddEditForm.class);

    private String parentName = null;

    private String grandparentName = null;

    private String orderItemID = null;

    private String orderDeliveryID = null;

    private String orderID = null;

    private String total = "0.00";

    private String weight = "0.00";

    private String quantity = "0";

    private String productID = "0";

    private String manufacturerID = null;

    private String code = null;

    private String seoCode = null;

    private String name = null;

    private String isActive = "true";

    private String unitCost = "0.00";

    private String costTotal = null;

    private String unitPrice = "0.00";

    private String altPrice = "0.00";

    private String productWeight = "0.00";

    private String isTaxed = "true";

    private String image = null;

    private String shortDescription = null;

    private String extra1 = null;

    private String extra2 = null;

    private String extra3 = null;

    private String extra4 = null;

    private String extra5 = null;

    private String decrementedSKUs = null;

    public String getParentName() {
        return parentName;
    }

    public void setParentName(String parentName) {
        this.parentName = parentName;
    }

    public String getGrandparentName() {
        return grandparentName;
    }

    public void setGrandparentName(String grandparentName) {
        this.grandparentName = grandparentName;
    }

    public String getOrderItemID() {
        return orderItemID;
    }

    public void setOrderItemID(String orderItemID) {
        this.orderItemID = orderItemID;
    }

    public String getOrderDeliveryID() {
        return orderDeliveryID;
    }

    public void setOrderDeliveryID(String orderDeliveryID) {
        this.orderDeliveryID = orderDeliveryID;
    }

    public String getAltPrice() {
        return altPrice;
    }

    public void setAltPrice(String altPrice) {
        this.altPrice = altPrice;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getSeoCode() {
        return seoCode;
    }

    public void setSeoCode(String seoCode) {
        this.seoCode = seoCode;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public String getIsActive() {
        return isActive;
    }

    public void setIsActive(String isActive) {
        this.isActive = isActive;
    }

    public String getIsTaxed() {
        return isTaxed;
    }

    public void setIsTaxed(String isTaxed) {
        this.isTaxed = isTaxed;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getOrderID() {
        return orderID;
    }

    public void setOrderID(String orderID) {
        this.orderID = orderID;
    }

    public String getProductID() {
        return productID;
    }

    public void setProductID(String productID) {
        this.productID = productID;
    }

    public String getManufacturerID() {
		return manufacturerID;
	}

	public void setManufacturerID(String manufacturerID) {
		this.manufacturerID = manufacturerID;
	}

	public String getProductWeight() {
        return productWeight;
    }

    public void setProductWeight(String productWeight) {
        this.productWeight = productWeight;
    }

    public String getQuantity() {
        return quantity;
    }

    public void setQuantity(String quantity) {
        this.quantity = quantity;
    }

    public String getTotal() {
        return total;
    }

    public void setTotal(String total) {
        this.total = total;
    }

    public String getUnitCost() {
        return unitCost;
    }

    public void setUnitCost(String unitCost) {
        this.unitCost = unitCost;
    }

    public String getCostTotal() {
		return costTotal;
	}

	public void setCostTotal(String costTotal) {
		this.costTotal = costTotal;
	}

    public String getUnitPrice() {
        return unitPrice;
    }

    public void setUnitPrice(String unitPrice) {
        this.unitPrice = unitPrice;
    }

    public String getWeight() {
        return weight;
    }

    public void setWeight(String weight) {
        this.weight = weight;
    }

    public String getExtra1() {
        return extra1;
    }

    public void setExtra1(String extra1) {
        this.extra1 = extra1;
    }

    public String getExtra2() {
        return extra2;
    }

    public void setExtra2(String extra2) {
        this.extra2 = extra2;
    }

    public String getExtra3() {
        return extra3;
    }

    public void setExtra3(String extra3) {
        this.extra3 = extra3;
    }

    public String getExtra4() {
        return extra4;
    }

    public void setExtra4(String extra4) {
        this.extra4 = extra4;
    }

    public String getExtra5() {
        return extra5;
    }

    public void setExtra5(String extra5) {
        this.extra5 = extra5;
    }

    public String getShortDescription() {
        return shortDescription;
    }

    public void setShortDescription(String shortDescription) {
        this.shortDescription = shortDescription;
    }

    public String getDecrementedSKUs() {
        return decrementedSKUs;
    }

    public void setDecrementedSKUs(String decrementedSKUs) {
        this.decrementedSKUs = decrementedSKUs;
    }

    public ActionErrors validate(ActionMapping mapping,
            HttpServletRequest request) {
        if (log.isDebugEnabled())
            log.debug("Starting validation.");
        initializeProperties(mapping, request);
        if (getCode() == null || getCode().equals("")) {
            getErrors().add(ActionMessages.GLOBAL_MESSAGE,
                    new ActionMessage("errors.required", "Code"));
        }
        if (getName() == null || getName().equals("")) {
            getErrors().add(ActionMessages.GLOBAL_MESSAGE,
                    new ActionMessage("errors.required", "Name"));
        }
        if (getIsActive() == null || getIsActive().equals("")) {
            getErrors().add(ActionMessages.GLOBAL_MESSAGE,
                    new ActionMessage("errors.required", "Active"));
        }
        if (getIsTaxed() == null || getIsTaxed().equals("")) {
            getErrors().add(ActionMessages.GLOBAL_MESSAGE,
                    new ActionMessage("errors.required", "Taxes"));
        }
        if (getProductID() == null || getProductID().equals("")) {
            getErrors().add(ActionMessages.GLOBAL_MESSAGE,
                    new ActionMessage("errors.required", "Product ID"));
        }
        return getErrors();
    }
}
