package com.softslate.commerce.administrator.product;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.businessobjects.product.ProductProcessor;
import com.softslate.commerce.customer.core.BaseAction;
import com.softslate.commerce.customer.product.ProductInitializer;

/**
 * Struts action class for sorting product records alphabetically. Used for
 * requests to "/administrator/ProductSorter.do".
 * 
 * @author David Tobey
 */
public class ProductSorterAction extends BaseAction {

	static Log log = LogFactory.getLog(ProductSorterAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isDebugEnabled())
			log.debug("Starting action.");

		// Sort the products alphabetically by name
		ActionMessages messages = new ActionMessages();
		BusinessObjectFactory bof = (BusinessObjectFactory) request
				.getAttribute("businessObjectFactory");
		ProductProcessor processor =  bof
				.createObject(ProductProcessor.class);
		Map results = null;
		if (request.getParameter("sortBy") != null
				&& request.getParameter("sortBy").equals("code")) {
			results = processor.sortProductsByCode(null);

			// Save a message
			messages.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage(
					"messages.productsSortedByCode", results.get("productsSorted")));
			saveMessages(request, messages);
		} else {
			results = processor.sortProductsByName(null);

			// Save a message
			messages.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage(
					"messages.productsSorted", results.get("productsSorted")));
			saveMessages(request, messages);
		}

		// Reload builtin categories in the application scope.
		ProductInitializer pi = new ProductInitializer();
		pi.setServlet(servlet);
		pi.initializeBuiltInCategories(bof);

		return mapping.findForward("success");
	}
}
