package com.softslate.commerce.administrator.shipping;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.customer.core.BaseDynaForm;

/**
 * @author David Tobey
 * 
 */
public class SettingsFormUSPS extends BaseDynaForm {

	private static final long serialVersionUID = 5018406107481530628L;

	static Log log = LogFactory.getLog(SettingsFormUSPS.class);

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		initializeProperties(mapping, request);
		if (request.getParameter("uspsURL") == null
				|| request.getParameter("uspsURL").length() == 0) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "USPS URL"));
		}
		if (request.getParameter("uspsUser") == null
				|| request.getParameter("uspsUser").length() == 0) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "USPS User Name"));
		}
		if (request.getParameter("uspsZIPOrigin") == null
				|| request.getParameter("uspsZIPOrigin").length() == 0) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "USPS ZIP Origin"));
		}
		if (request.getParameter("uspsContainerSize") == null
				|| request.getParameter("uspsContainerSize").length() == 0) {
			getErrors()
					.add(
							ActionMessages.GLOBAL_MESSAGE,
							new ActionMessage("errors.required",
									"USPS Container Size"));
		}
		if (request.getParameter("uspsMachinable") == null
				|| request.getParameter("uspsMachinable").length() == 0) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "USPS Machinable"));
		}

		if (getFormUtils().stringArrayHasAnElement(this,
				"USPS_DestinationArray"))
			this.concatenateArrayIntoValue("USPS_DestinationArray",
					"USPS_Destination");

		if (getFormUtils().stringArrayHasAnElement(this,
				"uspsDomesticServiceArray"))
			this.concatenateArrayIntoValue("uspsDomesticServiceArray",
					"uspsDomesticServices");

		if (getFormUtils()
				.stringArrayHasAnElement(this, "uspsIntlServiceArray"))
			this.concatenateArrayIntoValue("uspsIntlServiceArray",
					"uspsIntlServices");

		return getErrors();
	}

	private void concatenateArrayIntoValue(String UI_Source,
			String DB_Destination) {
		String[] codes = (String[]) this.get(UI_Source);
		String codeString = "";
		if (null != codes) {
			for (int i = 0; i < codes.length; i++) {
				if (codeString.length() > 0) {
					codeString = codeString + ",";
				}
				codeString = codeString + codes[i];
			}
			this.set(DB_Destination, codeString);
		}

	}

}
