package com.softslate.commerce.administrator.shipping;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.beanutils.PropertyUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.businessobjects.shipping.ShippingMethodProcessor;
import com.softslate.commerce.customer.core.BaseAction;

/**
 * Struts action class that corresponds to requests to
 * "/administrator/ShippingMethodDelete.do". Processes a request to delete records in
 * the system.
 * 
 * @author David Tobey
 */
public class ShippingMethodDeleteAction extends BaseAction {

    static Log log = LogFactory.getLog(ShippingMethodDeleteAction.class);

    public ActionForward execute(ActionMapping mapping, ActionForm form,
            HttpServletRequest request, HttpServletResponse response)
            throws Exception {
        if (log.isDebugEnabled())
            log.debug("Starting action.");

        // Prepare parameters for the edit/delete processing, and process
        BusinessObjectFactory bof = (BusinessObjectFactory) request
                .getAttribute("businessObjectFactory");
        ShippingMethodProcessor processor =  bof
                .createObject(ShippingMethodProcessor.class);
        Map parameters = PropertyUtils.describe(form);
        processor.deleteShippingMethod(parameters);

        // Set the success message
        ActionMessages messages = new ActionMessages();
        messages.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage(
                "messages.recordDeleted"));
        saveMessages(request, messages);

        return mapping.findForward("success");
    }
}
