package com.softslate.commerce.customer.order;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.lang.StringUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.customer.core.BaseForm;

/**
 * 
 * Form to delete CIM profile
 * 
 * @author Jason McWilliams
 * 
 */
public class CIMDeleteForm extends BaseForm {

	/**
	 * 
	 */
	private static final long serialVersionUID = 3296418479340988296L;

	static Log log = LogFactory.getLog(CIMDeleteForm.class);

	public String cimPaymentProfileID = null;

	public String getCimPaymentProfileID() {
		return cimPaymentProfileID;
	}

	public void setCimPaymentProfileID(String cimPaymentProfileID) {
		this.cimPaymentProfileID = cimPaymentProfileID;
	}

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isInfoEnabled())
			log.info("Starting validation.");
		initializeProperties(mapping, request);

		if (StringUtils.isBlank(getCimPaymentProfileID())) {
			getErrors()
					.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("errors.cimManageProfilesDeleteMissingID"));
		}
		
		if (log.isDebugEnabled())
			log.debug("Finished validation.");
		if (log.isInfoEnabled() && !getErrors().isEmpty())
			log.info("Validation error(s): " + getErrors().toString());
		return getErrors();
	}
}

