package com.softslate.commerce.daos.product;

import java.util.Collection;
import java.util.Map;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.daos.core.DAOInterface;

/**
 * Interface for a DAO that runs miscellaneous queries related to manufacturers.
 * 
 * @author David Tobey
 * 
 */
public interface ManufacturerGatewayDAO extends DAOInterface {
	abstract Map loadManufacturersAndCount(Map parameters) throws Exception;

	abstract Map editDeleteManufacturers(Map parameters,
			BusinessObjectFactory bof) throws Exception;

	abstract Collection loadAllManufacturers() throws Exception;

	abstract Collection loadActiveManufacturers() throws Exception;
}
