UPDATE sscSetting SET smallValue='2.2.5' WHERE code='dataObjectsVersion';

DELETE FROM sscSetting WHERE type = 'LUCENE';

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('advancedSearchOn','Use Advanced Search for Searches','If set to yes, the search form in the store will use Lucene to perform searches.','LUCENE','integerValue',0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('advancedSearchCategory','Use Advanced Search within Categories','If set to yes, on category pages, the products will be displayed using the Lucene advanced search engine. (Note: only those products whose primary category is set to the category will be displayed!)','LUCENE','integerValue',0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('advancedSearchManufacturer','Use Advanced Search within Manufacturers','If set to yes, on manufacturer pages, the products will be displayed using the Lucene advanced search engine.','LUCENE','integerValue',0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('advancedSearchProductList','Use Advanced Search for the Product List','If set to yes, on the product list page, the products will be displayed using the Lucene advanced search engine.','LUCENE','integerValue',0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('advancedSearchPriceSort','Allow Advanced Search Price Sorting','Allows the user to sort the products by price using Lucene.','LUCENE','integerValue',1,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('luceneIndexDir','Lucene Index Directory','If this setting starts with /WEB-INF, it represents a path under the installation directory. If not, it represents the full server path to the directory of the search index. The directory must be writable by the owner of the application server process.','LUCENE','mediumValue',NULL,NULL,'/WEB-INF/lucene',NULL);

DELETE FROM sscRole WHERE code = 'advancedSearchView' OR code = 'advancedSearchEdit';
INSERT INTO sscRole(code, name, description)
VALUES('advancedSearchView', 'Advanced Search Viewer', 'Allows access to view advanced search.');
INSERT INTO sscRole(code, name, description)
VALUES('advancedSearchEdit', 'Advanced Search Editor', 'Allows access to view and edit advanced search.');

DELETE FROM sscSetting WHERE code = 'UPS_extraCharge' OR code ='UPS_extraWeight';
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_extraCharge','Extra Charge','An amount to add to the value of each of the rates returned by U.P.S. (e.g., as a handling charge).','UPS', 'smallValue',NULL,'0.00',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_extraWeight','Extra Weight','The amount of weight to add to each shipment for packaging materials, on top of the weight of the products in the order. If weights are not defined for the products in the store, this value will be used as the weight for all shipments.','UPS', 'smallValue',NULL,'0.00',NULL,NULL);
