<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start settingsEncryption.jsp -->
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>

<div class="important">
	Changing these settings after your store has been in operation may cause customer or administrator accounts to become unusable, 
	and past payment information to become irretrievable. Please be careful.
</div>

<br/>

<html:form action="/SettingsProcessEncryption" method="post">
	<logic:iterate name="administratorSettings" id="settingRow" indexId="index">
		<logic:match name="settingRow" property="type" value="ENCRYPTION">
			<c:set var="setting" value="${settingRow}" scope="request"/>
			<c:choose>
				<c:when test="${setting.code eq 'paymentEncryptionType'}">
					<h2 class="administratorHeader" style="margin-bottom: 0;">
						<bean:message key="administrator.paymentEncryptionType" bundle="/administrator/administrator"/>
					</h2>
					<table class="settingsTable">
						<tr>
							<th><bean:message key="administrator.encryptionTypeName" bundle="/administrator/administrator"/></th>
							<th><bean:message key="administrator.encryptionTypeLevel" bundle="/administrator/administrator"/></th>
							<th><bean:message key="administrator.encryptionTypeAccessible" bundle="/administrator/administrator"/></th>
							<th><bean:message key="administrator.encryptionTypeDescription" bundle="/administrator/administrator"/></th>
						<tr>
							<td nowrap="nowrap">
								<input type="radio" <c:if test="${setting.smallValue eq 'noEncryption'}">checked="checked"</c:if> name="<c:out value="${setting.code}"/>" value="noEncryption"/> 
								<bean:message key="administrator.encryptionType1Name" bundle="/administrator/administrator"/></td>
							<td><bean:message key="administrator.encryptionType1Level" bundle="/administrator/administrator"/></td>
							<td><bean:message key="administrator.encryptionType1Accessible" bundle="/administrator/administrator"/></td>
							<td><bean:message key="administrator.encryptionType1Description" bundle="/administrator/administrator"/></td>
						</tr>
						<tr class="<c:out value="${altRowClass}"/>">
							<td nowrap="nowrap">
								<input type="radio" <c:if test="${setting.smallValue eq 'twoWay'}">checked="checked"</c:if> name="<c:out value="${setting.code}"/>" value="twoWay"/> 
								<bean:message key="administrator.encryptionType2Name" bundle="/administrator/administrator"/></td>
							<td><bean:message key="administrator.encryptionType2Level" bundle="/administrator/administrator"/></td>
							<td><bean:message key="administrator.encryptionType2Accessible" bundle="/administrator/administrator"/></td>
							<td><bean:message key="administrator.encryptionType2Description" bundle="/administrator/administrator"/></td>
						</tr>
						<tr>
							<td nowrap="nowrap">
								<input type="radio" <c:if test="${setting.smallValue eq 'notStored'}">checked="checked"</c:if> name="<c:out value="${setting.code}"/>" value="notStored"/> 
								<bean:message key="administrator.encryptionType5Name" bundle="/administrator/administrator"/></td>
							<td><bean:message key="administrator.encryptionType5Level" bundle="/administrator/administrator"/></td>
							<td><bean:message key="administrator.encryptionType5Accessible" bundle="/administrator/administrator"/></td>
							<td><bean:message key="administrator.encryptionType5Description" bundle="/administrator/administrator"/></td>
						</tr>
					</table>
				</c:when>
				<c:when test="${setting.code eq 'customerEncryptionType'}">
					<hr/>
					<h2 class="administratorHeader" style="margin-bottom: 0;">
						<bean:message key="administrator.customerEncryptionType" bundle="/administrator/administrator"/>
					</h2>
					<table class="settingsTable">
						<tr>
							<th><bean:message key="administrator.encryptionTypeName" bundle="/administrator/administrator"/></th>
							<th><bean:message key="administrator.encryptionTypeLevel" bundle="/administrator/administrator"/></th>
							<th><bean:message key="administrator.encryptionTypeAccessible" bundle="/administrator/administrator"/></th>
							<th><bean:message key="administrator.encryptionTypeDescription" bundle="/administrator/administrator"/></th>
						<tr>
							<td nowrap="nowrap">
								<input type="radio" <c:if test="${setting.smallValue eq 'noEncryption'}">checked="checked"</c:if> name="<c:out value="${setting.code}"/>" value="noEncryption"/> 
								<bean:message key="administrator.encryptionType1Name" bundle="/administrator/administrator"/></td>
							<td><bean:message key="administrator.encryptionType1Level" bundle="/administrator/administrator"/></td>
							<td><bean:message key="administrator.encryptionType1Accessible" bundle="/administrator/administrator"/></td>
							<td><bean:message key="administrator.encryptionType1Description" bundle="/administrator/administrator"/></td>
						</tr>
						<tr class="<c:out value="${altRowClass}"/>">
							<td nowrap="nowrap">
								<input type="radio" <c:if test="${setting.smallValue eq 'twoWay'}">checked="checked"</c:if> name="<c:out value="${setting.code}"/>" value="twoWay"/> 
								<bean:message key="administrator.encryptionType2Name" bundle="/administrator/administrator"/></td>
							<td><bean:message key="administrator.encryptionType2Level" bundle="/administrator/administrator"/></td>
							<td><bean:message key="administrator.encryptionType2Accessible" bundle="/administrator/administrator"/></td>
							<td><bean:message key="administrator.encryptionType2Description" bundle="/administrator/administrator"/></td>
						</tr>
						<tr>
							<td nowrap="nowrap">
								<input type="radio" <c:if test="${setting.smallValue eq 'oneWay'}">checked="checked"</c:if> name="<c:out value="${setting.code}"/>" value="oneWay"/> 
								<bean:message key="administrator.encryptionType4Name" bundle="/administrator/administrator"/></td>
							<td><bean:message key="administrator.encryptionType4Level" bundle="/administrator/administrator"/></td>
							<td><bean:message key="administrator.encryptionType4Accessible" bundle="/administrator/administrator"/></td>
							<td><bean:message key="administrator.encryptionType4Description" bundle="/administrator/administrator"/></td>
						</tr>
					</table>
				</c:when>
				<c:when test="${setting.code eq 'administratorEncryptionType'}">
					<hr/>
					<h2 class="administratorHeader" style="margin-bottom: 0;">
						<bean:message key="administrator.administratorEncryptionType" bundle="/administrator/administrator"/>
					</h2>
					<table class="settingsTable">
						<tr>
							<th><bean:message key="administrator.encryptionTypeName" bundle="/administrator/administrator"/></th>
							<th><bean:message key="administrator.encryptionTypeLevel" bundle="/administrator/administrator"/></th>
							<th><bean:message key="administrator.encryptionTypeAccessible" bundle="/administrator/administrator"/></th>
							<th><bean:message key="administrator.encryptionTypeDescription" bundle="/administrator/administrator"/></th>
						<tr>
							<td nowrap="nowrap">
								<input type="radio" <c:if test="${setting.smallValue eq 'noEncryption'}">checked="checked"</c:if> name="<c:out value="${setting.code}"/>" value="noEncryption"/> 
								<bean:message key="administrator.encryptionType1Name" bundle="/administrator/administrator"/></td>
							<td><bean:message key="administrator.encryptionType1Level" bundle="/administrator/administrator"/></td>
							<td><bean:message key="administrator.encryptionType1Accessible" bundle="/administrator/administrator"/></td>
							<td><bean:message key="administrator.encryptionType1Description" bundle="/administrator/administrator"/></td>
						</tr>
						<tr class="<c:out value="${altRowClass}"/>">
							<td nowrap="nowrap">
								<input type="radio" <c:if test="${setting.smallValue eq 'twoWay'}">checked="checked"</c:if> name="<c:out value="${setting.code}"/>" value="twoWay"/> 
								<bean:message key="administrator.encryptionType2Name" bundle="/administrator/administrator"/></td>
							<td><bean:message key="administrator.encryptionType2Level" bundle="/administrator/administrator"/></td>
							<td><bean:message key="administrator.encryptionType2Accessible" bundle="/administrator/administrator"/></td>
							<td><bean:message key="administrator.encryptionType2Description" bundle="/administrator/administrator"/></td>
						</tr>
						<tr>
							<td nowrap="nowrap">
								<input type="radio" <c:if test="${setting.smallValue eq 'oneWay'}">checked="checked"</c:if> name="<c:out value="${setting.code}"/>" value="oneWay"/>  
								<bean:message key="administrator.encryptionType4Name" bundle="/administrator/administrator"/></td>
							<td><bean:message key="administrator.encryptionType4Level" bundle="/administrator/administrator"/></td>
							<td><bean:message key="administrator.encryptionType4Accessible" bundle="/administrator/administrator"/></td>
							<td><bean:message key="administrator.encryptionType4Description" bundle="/administrator/administrator"/></td>
						</tr>
					</table>
				</c:when>
				<c:when test="${setting.code eq 'oneWayEncryptionAlgorithm'}">
					<hr/>
					<h2 class="administratorHeader" style="margin-bottom: 0;">
						Other Encryption Settings
					</h2>
					<table class="settingsTable">
						<tr>
							<th class="setting">Setting</th>
							<th class="value">Value</th>
						</tr>
						<c:choose>
							<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
							<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
						</c:choose>
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><c:out value="${setting.name}"/>:</td>
							<td class="value">
								<input type="radio" name="<c:out value="${setting.code}"/>" id="<c:out value="${setting.code}"/>1" value="sha256" <c:if test="${setting.smallValue eq 'sha256'}">checked="checked"</c:if>/>
								<label for="<c:out value="${setting.code}"/>1">sha256</label>
								&nbsp;&nbsp; 
								<input type="radio" name="<c:out value="${setting.code}"/>" id="<c:out value="${setting.code}"/>0" value="md5" <c:if test="${setting.smallValue eq 'md5'}">checked="checked"</c:if>/>
								<label for="<c:out value="${setting.code}"/>0">md5 (legacy)</label>
							 	<br/>
								<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
							 </td>
						</tr>
					</table>
				</c:when>
			</c:choose>
		</logic:match>
	</logic:iterate>
	<logic:present role="superuser,administrator,settingsEdit,settingsEncryptionEdit">
    	<div class="saveSettings">
			<input type="submit" class="button" value="Save Settings"/>
		</div>
	</logic:present>
</html:form>
<!-- End settingsEncryption.jsp -->
