<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start settingsStoreURLs.jsp -->
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>
<c:set var="thisClass" scope="request" value="${altRowClass}"/>

<div class="instructions">
	<p>Use these settings to define the URLs where your store is located.</p>
</div>

<div class="important">
	<p>Please take care in setting these URLs.
	If you accidentally set the administrator URL to the wrong URL, you will not be able to come back to this screen in a later session.
	In that case, you must update the setting directly in the database.
	(You can do this by following the instructions on <a href="http://www.softslate.com/documentation/html/installationTroubleshooting.html">Installation Troubleshooting section</a> of the User Guide.)</p>
</div>

<br/>

<html:form action="/SettingsProcessStoreURLs" method="post">
	<table class="settingsTable">
		<tr>
			<th class="setting">Setting</th>
			<th class="value">Value</th>
		</tr>
		<logic:iterate name="administratorSettings" id="settingRow" indexId="index">
			<logic:match name="settingRow" property="type" value="STOREURLS">
				<c:choose>
					<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
					<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
				</c:choose>
				<c:set var="setting" value="${settingRow}" scope="request"/>
				<ssc:insert page="/WEB-INF/templates/administrator/default/core/setting.jsp" flush="false"/>
			</logic:match>
		</logic:iterate>
	</table>
	<logic:present role="superuser,administrator,settingsEdit,settingsStoreURLsEdit">
    	<div class="saveSettings">
			<input type="submit" class="button" value="Save Settings"/>
		</div>
	</logic:present>
</html:form>

<div class="helpLinks">
	<h3 class="administratorSubhead">How Do I ... </h3>
	<ul class="helpLinkList inline">
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Secure the information customers submit using SSL">
				<p>If you are running a live store that takes in personal information and credit card information from your customers, 
				you need to use an SSL certificate for the store so the information is transmitted securely.</p>
				<p>Typcially you can get help obtaining and installing an SSL certificate from your host provider.
				The SSL certificate is not installed within SoftSlate Commerce. 
				Rather, it is installed in the web server software on the machine hosting the store.</p>
				<p>Once an SSL certificate is installed, you simply need to change the "Secure Customer URL" and
				"Administrator URL" settings above
				so that they begin with "https" instead of "http".
				This will update all the links generated by the store so that secure URLs are used for any sensitive information,
				including contact information, passwords, payment information, and everything in the Administrator application.</p>
			</ssc:help>
		</li>
	</ul>
</div>
<!-- End settingsStoreURLs.jsp -->
