<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start cardInfoCleanUp.jsp -->
<div class="instructions">
	<p>
		If you are storing credit card information with each order, it is a good idea to clear the information out of
		the database periodically to limit the security risk. 
	</p>
	<p>
		Following is a summary of the credit card information currently in the database. Use the form below
		to clean them from the system. 
		The credit card numbers and expiration dates will be permanently removed from the database.
		The type of card used (Visa, MasterCard, etc.) and the last four digits of the card number will remain.
	</p>
</div>

<br/>

<table class="chart">
	<tr>
		<th>&nbsp;</th>
		<th>Number of Orders with Credit Cards</th>
	</tr>
	<logic:iterate name="statistics" id="stat" indexId="i">
		<tr>
			<td>
				<c:choose>
					<c:when test="${i == 0}">Last 24 Hours</c:when>
					<c:when test="${i == 1}">Last 7 Days</c:when>
					<c:when test="${i == 2}">Last 30 Days</c:when>
					<c:when test="${i == 3}">Last 90 Days</c:when>
					<c:when test="${i == 4}">All Time</c:when>
				</c:choose>
			</td>
			<td align="right">
				<c:out value="${stat}"/>
			</td>
		</tr>
	</logic:iterate>
</table>
	
<html:form action="/CardInfoCleanUpProcess" method="post">
	<div id="cardInfoCleanUpFormElements">
		Delete credit card information for orders older than:
		<html:text size="4" name="cardInfoCleanUpForm" property="olderThanDays" />
		<bean:message key="maintenance.incompleteOrdersPrompt2" bundle="/order" />
		<html:text size="4" name="cardInfoCleanUpForm" property="olderThanHours" />
		<bean:message key="maintenance.incompleteOrdersPrompt3" bundle="/order" />.
		<br/>
		(Use 0 and 0 to delete all credit card information.)
	</div>
	<logic:present role="superuser,administrator,maintenanceEdit">
		<div class="saveSettings">
			<input type="submit" class="button" name="cardInfoCleanUpSubmit"
				value="<bean:message key="administrator.delete" bundle="/administrator/administrator"/>" />
		</div>
	</logic:present>
</html:form>
<!-- End cardInfoCleanUp.jsp -->
