<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>
<c:set var="thisClass" scope="request" value="${altRowClass}"/>

<div class="instructions">
	<p>Use these settings to define how your store connects to the Authorize.net payment gateway using the Direct Post Method to process credit cards.</p>
</div>

<c:if test="${settings.map.useCheckoutCombo eq '1'}">
	<div class="warning">
		<p>Because the Direct Post Method must submit payment information directly to Authorize.net you must set the 
			'Use Combined Address, Shipping and Payment Screen in Checkout?' setting to "no"
			on the <a href="SettingsCheckoutFlow.do">Orders -&gt; Checkout Flow</a> screen.</p>
	</div>
</c:if>

<c:if test="${settings.map.displayCheckoutConfirm eq '1'}">
	<div class="warning">
		<p>When using the Direct Post Method, the system will skip the 'Confirm Order' screen during checkout because the order is processed
			immediately after submitting payment information. For this reason, we suggest setting the 'Display Confirm Screen Before End of Checkout?' 
			to "no" on the <a href="SettingsCheckoutFlow.do">Orders -&gt; Checkout Flow</a> screen. Otherwise, the customer may be mislead into
			thinking there will be a chance to review and confirm the order after submitting payment information.</p>
	</div>
</c:if>

<br/>

<html:form action="/SettingsProcessAuthorizeNetDPM" method="post">
	<table class="settingsTable">
		<tr>
			<th class="setting">Setting</th>
			<th class="value">Value</th>
		</tr>
		<logic:iterate name="administratorSettings" id="settingRow" indexId="index">
			<c:if test="${settingRow.type eq 'authorizeNetDPM'}">
				<c:choose>
					<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
					<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
				</c:choose>
				<bean:define id="setting" name="settingRow" toScope="request"/>
				<c:choose>
					<c:when test="${setting.code eq 'authorizeNetDPMTxType'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><bean:write name="setting" property="name"/>:</td>
							<td class="value">
								<select name="authorizeNetDPMTxType">
									<option value="AUTH_CAPTURE" <logic:match name="setting" property="smallValue" value="AUTH_CAPTURE">selected="selected"</logic:match>>Authorization and Capture</option>
									<option value="AUTH_ONLY" <logic:match name="setting" property="smallValue" value="AUTH_ONLY">selected="selected"</logic:match>>Authorization Only</option>
								</select>
								<br/>
								<bean:write name="setting" property="description"/>
							</td>
						</tr>
					</c:when>

					<c:when test="${setting.code eq 'authorizeNetDPMMethods'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><bean:write name="setting" property="name"/>:</td>
							<td class="value">
								<select name="authorizeNetDPMMethods">
									<option value="CC" <c:if test="${settingRow.smallValue eq 'CC'}">selected="selected"</c:if>>Credit Card Only</option>
									<option value="ECHECK" <c:if test="${settingRow.smallValue eq 'ECHECK'}">selected="selected"</c:if>>E-Check Only</option>
                  <option value="CC,ECHECK" <c:if test="${settingRow.smallValue eq 'CC,ECHECK'}">selected="selected"</c:if>>Credit Card and E-Check</option>
								</select>
								<br/>
								<bean:write name="setting" property="description"/>
							</td>
						</tr>
					</c:when>

					<c:when test="${setting.code eq 'authorizeNetDPMEmailCustomerConfirmationWhen'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><bean:write name="setting" property="name"/>:</td>
							<td class="value">
								<select name="authorizeNetDPMEmailCustomerConfirmationWhen">
									<option value="0" <c:if test="${settingRow.integerValue eq 0}">selected="selected"</c:if>>After Payment Process</option>
									<option value="1" <c:if test="${settingRow.integerValue eq 1}">selected="selected"</c:if>>During Payment Process</option>
								</select>
								<br/>
								<bean:write name="setting" property="description"/>
							</td>
						</tr>
					</c:when>

					<c:when test="${setting.code eq 'authorizeNetDPMDelayOrderProcessing'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><bean:write name="setting" property="name"/>:</td>
							<td class="value">
								<select name="authorizeNetDPMDelayOrderProcessing">
									<option value="0" <c:if test="${settingRow.integerValue eq 0}">selected="selected"</c:if>>After Payment Process</option>
									<option value="1" <c:if test="${settingRow.integerValue eq 1}">selected="selected"</c:if>>During Payment Process</option>
								</select>
								<br/>
								<bean:write name="setting" property="description"/>
							</td>
						</tr>
					</c:when>

					<c:otherwise>
						<jsp:include page="/WEB-INF/templates/administrator/default/core/setting.jsp"/>
					</c:otherwise>
				</c:choose>
			</c:if>
		</logic:iterate>
	</table>
	<logic:present role="superuser,administrator,paymentsEdit">
    	<div class="saveSettings">
			<input type="submit" class="button" value="Save Settings"/>
		</div>
	</logic:present>
</html:form>

<br/><br/>

<div class="helpLinks">
	<h3 class="administratorSubhead">How Do I ... </h3>
	<ul class="helpLinkList inline">
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Establish an Account with Authorize.net">
				<p>To enable Authorize.net, you must establish an account with them. 
				Visit <a href="http://reseller.authorize.net/application.asp?id=565192" target="_blank">Authorize.net</a> 
				for more information.</p>
			</ssc:help>
		</li>
	</ul>
</div>
