// ////////////////////////////////////////////////////////////////////////////////////////
// The add item tool is triggered from the order overview screen, namely orderOverview.jsp. 
// The tool is consists of between two and four modules/steps:
// 1. Clicking the Add Item link.
// 2. Selecting a product and its quantity.
// 3. Optionally selecting attributes and options for the product.
// 4. Optionally selecting a new shipping method if the current shipping method would no longer be valid.

YAHOO.namespace("addItem");
	
// Shared Ajax connection methods
YAHOO.addItem.failure = function(o) {
	YAHOO.addItem.addItemModule.setBody(o.status + ': ' + o.statusText);
	YAHOO.addItem.addItemResultsModule.setBody("");
}
YAHOO.addItem.addItemArgs = ['foo','bar'];

// Initialization - run when the DOM is first loaded and after the successful adding of an item
YAHOO.addItem.initialize = function() {

	// Set up modules
	YAHOO.addItem.addItemModule = new YAHOO.widget.Module("addItemModule");
	YAHOO.addItem.addItemAttributesModule = new YAHOO.widget.Module("addItemAttributesModule");
	YAHOO.addItem.addItemShippingModule = new YAHOO.widget.Module("addItemShippingModule");
	YAHOO.addItem.addItemResultsModule = new YAHOO.widget.Module("addItemResultsModule");

	// Set up listeners (the product select box also has its own listener, defined when it is loaded)
	YAHOO.util.Event.addListener("addItemA", "click", YAHOO.addItem.showAddItemForm);
	YAHOO.util.Event.addListener("addItemForm", "submit", YAHOO.addItem.submitProcessAddItem);
}

// Step one - clicking the "Add Item" link - load up the products
YAHOO.addItem.loadProductsSuccess = function(o) {

	if (o.responseText.indexOf("id=\"loginFormGuts\"") != -1) {
	
		// Session timeout
		YAHOO.administratorCore.sessionTimeout();
	} else {

		YAHOO.addItem.addItemModule.setBody(o.responseText);
		YAHOO.util.Event.addListener("addItemProductCode", "change", YAHOO.addItem.submitProduct);
		YAHOO.util.Event.addListener("addItemProductCodeLink", "click", YAHOO.addItem.submitProduct);
	}
};
YAHOO.addItem.loadProductsCallback = {
  success:YAHOO.addItem.loadProductsSuccess,
  failure:YAHOO.addItem.failure,
  argument:YAHOO.addItem.addItemArgs
};
YAHOO.addItem.showAddItemForm = function(e) {
	YAHOO.util.Event.preventDefault(e);
	YAHOO.util.Dom.addClass('addItemInner', 'ajaxBox');
	YAHOO.addItem.addItemModule.setBody('<img src="yui/assets/skins/sam/wait.gif"/>');
	YAHOO.addItem.addItemAttributesModule.setBody("");
	YAHOO.addItem.addItemShippingModule.setBody("");
	YAHOO.addItem.addItemResultsModule.setBody("");
	YAHOO.util.Connect.setForm(YAHOO.util.Dom.get("addItemForm"));
	YAHOO.addItem.transaction = YAHOO.util.Connect.asyncRequest('GET', 
		'LoadProductNamesCodesIDs.do', 
		YAHOO.addItem.loadProductsCallback, 
		null);
}


// Step two - selecting a product - load up the attributes or ask for shipping or just display the add item button
YAHOO.addItem.loadProductSuccess = function(o) {

	if (o.responseText.indexOf("id=\"loginFormGuts\"") != -1) {
	
		// Session timeout
		YAHOO.administratorCore.sessionTimeout();
	} else {

		YAHOO.addItem.addItemAttributesModule.setBody(o.responseText);
	}
};
YAHOO.addItem.loadProductCallback = {
  success:YAHOO.addItem.loadProductSuccess,
  failure:YAHOO.addItem.failure,
  argument:YAHOO.addItem.addItemArgs
};
YAHOO.addItem.submitProduct = function(e) {
	YAHOO.util.Event.preventDefault(e);
	YAHOO.addItem.addItemAttributesModule.setBody('<img src="yui/assets/skins/sam/wait.gif"/>');
	YAHOO.addItem.addItemShippingModule.setBody("");
	YAHOO.addItem.addItemResultsModule.setBody("");
	YAHOO.util.Connect.setForm(YAHOO.util.Dom.get("addItemForm"));
	YAHOO.addItem.transaction = YAHOO.util.Connect.asyncRequest('POST', 
		'LoadProduct.do', 
		YAHOO.addItem.loadProductCallback);
}


// Step three - adding the item
YAHOO.addItem.processAddItemSuccess = function(o) {

	if (o.responseText.indexOf("id=\"loginFormGuts\"") != -1) {
	
		// Session timeout
		YAHOO.administratorCore.sessionTimeout();
	} else if (o.responseText.indexOf("id=\"orderOverview\"") != -1) {

		// Replace the body of the page
		YAHOO.util.Dom.get("bodyContent").innerHTML = o.responseText;
		
		// Pop the browser up to the messages if there are any
		if (o.responseText.indexOf("class=\"ajaxMessages\"") != -1) {
			YAHOO.administratorCore.focusOnMessages();
		}
		
		// Initialize so all the tools work again
		YAHOO.administratorCore.initializeOrderOverviewTools();
	} else if (o.responseText.indexOf("id=\"shippingOptionSelect\"") != -1) {

		// Shipping selection is required
		YAHOO.util.Dom.get("addItemAttributesButton").style.display = "none";
		YAHOO.addItem.addItemShippingModule.setBody(o.responseText);
		YAHOO.addItem.addItemResultsModule.setBody("");
	} else {

		// Error validating attributes or other issue
		YAHOO.util.Dom.get("addItemAttributesButton").disabled = false;
		YAHOO.addItem.addItemShippingModule.setBody(o.responseText);
		YAHOO.addItem.addItemResultsModule.setBody("");
	}
};
YAHOO.addItem.processAddItemCallback = {
  success:YAHOO.addItem.processAddItemSuccess,
  failure:YAHOO.addItem.failure,
  argument:YAHOO.addItem.addItemArgs
};
YAHOO.addItem.submitProcessAddItem = function(e) {
	YAHOO.util.Event.preventDefault(e);
	YAHOO.util.Dom.get("addItemAttributesButton").disabled = true;
	YAHOO.addItem.addItemResultsModule.setBody('<img src="yui/assets/skins/sam/wait.gif"/>');
	YAHOO.util.Connect.setForm(YAHOO.util.Dom.get("addItemForm"));
	YAHOO.addItem.transaction = YAHOO.util.Connect.asyncRequest('POST', 
		'AddItemProcess.do', 
		YAHOO.addItem.processAddItemCallback);
}
